From 5b741dcc02a038971ab614d9ad54a24ec4cce088 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue.dev@gmail.com>
Date: Sep 30 2024 05:59:38 +0000
Subject: fix: deterministic license generation


this commit also fixes duplicate licenses

Signed-off-by: Ryan Brue <ryanbrue.dev@gmail.com>

---

diff --git a/cosmic-packaging-tool/src/main.rs b/cosmic-packaging-tool/src/main.rs
index 7220b4d..4f36536 100644
--- a/cosmic-packaging-tool/src/main.rs
+++ b/cosmic-packaging-tool/src/main.rs
@@ -441,21 +441,24 @@ fn update_licenses_command(
             .current_dir(base_working_dir.join(package_repo))
             .arg("-c")
             .arg(
-                r##"cargo tree --workspace --edges no-build,no-dev,no-proc-macro --no-dedupe --target all --prefix none --format "{l}" | sort | uniq"##
+                r##"cargo tree --workspace --edges no-build,no-dev,no-proc-macro --no-dedupe --target all --prefix none --format "{l}""##
             ).output()?;
 
             let (stdout, _stderr) = (
                 String::from_utf8(output.stdout).unwrap(),
                 String::from_utf8(output.stderr).unwrap(),
             );
-            let license_result = stdout
+            let mut license_result = stdout
                 .lines()
+                .collect::<HashSet<&str>>()
+                .into_iter()
                 .filter_map(|l| {
                     if l == "GPL-3.0" && exclude_gpl_3 {
                         println!("Skipping raw GPL-3.0");
                         return None;
                     }
-                    let repl_or = l.replace("/", " OR ");
+                    let mut repl_or = l.replace(" / ", " OR ");
+                    repl_or = repl_or.replace("/", " OR ");
                     let result = if repl_or.contains("OR") {
                         format!("({})", repl_or)
                     } else {
@@ -469,8 +472,9 @@ fn update_licenses_command(
                 })
                 .collect::<HashSet<String>>()
                 .into_iter()
-                .collect::<Vec<String>>()
-                .join(" AND ");
+                .collect::<Vec<String>>();
+            license_result.sort();
+            let license_result = license_result.join(" AND ");
             if let Some(packaging_dir) = packaging_dir.as_deref() {
                 if !license_result.is_empty() && license_validate(&license_result)? {
                     homebrew_sed(
diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index 81bac54..58b7f94 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -16,7 +16,7 @@ Version: ###
 Release:        %autorelease
 Summary:        App Library program for the COSMIC Desktop Environment
 
-License:        (BSD-2-Clause OR Apache-2.0 OR MIT) AND (MIT OR Zlib OR Apache-2.0) AND (MIT OR Apache-2.0 OR CC0-1.0) AND BSL-1.0 AND Zlib AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND Apache-2.0 AND Unicode-3.0 AND ISC AND (MIT OR Apache-2.0 OR Zlib) AND MPL-2.0 AND (MIT OR Apache-2.0) AND CC0-1.0 AND MIT AND (Unlicense OR MIT) AND (Apache-2.0 OR MIT) AND BSD-3-Clause AND (Zlib OR Apache-2.0 OR MIT) AND BSD-2-Clause
+License:        (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0 OR Zlib) AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND BSL-1.0 AND CC0-1.0 AND ISC AND MIT AND MPL-2.0 AND Unicode-3.0 AND Zlib
 
 URL:            https://github.com/pop-os/cosmic-applibrary
 
diff --git a/rpms/cosmic-applets/cosmic-applets.spec b/rpms/cosmic-applets/cosmic-applets.spec
index 3ac4b61..d9967bd 100644
--- a/rpms/cosmic-applets/cosmic-applets.spec
+++ b/rpms/cosmic-applets/cosmic-applets.spec
@@ -14,7 +14,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Applets for the COSMIC Desktop Environment
 
-License:        BSD-2-Clause AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND GPL-3.0-or-later AND Unicode-3.0 AND (Apache-2.0 OR BSL-1.0) AND (0BSD OR MIT OR Apache-2.0) AND CC0-1.0 AND MIT AND BSD-3-Clause AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (Unlicense OR MIT) AND (Apache-2.0 OR BSD-3-Clause) AND Apache-2.0 AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Zlib OR Apache-2.0) AND Unlicense AND Zlib AND ISC AND (MIT OR Apache-2.0) AND (Apache-2.0 OR MIT) AND BSL-1.0 AND (MIT OR Apache-2.0 OR Zlib) AND MPL-2.0 AND GPL-3.0-only
+License:        (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSD-3-Clause) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0 OR Zlib) AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND BSL-1.0 AND CC0-1.0 AND GPL-3.0-only AND GPL-3.0-or-later AND ISC AND MIT AND MPL-2.0 AND Unicode-3.0 AND Unlicense AND Zlib
 
 URL:            https://github.com/pop-os/cosmic-applets
 
diff --git a/rpms/cosmic-bg/cosmic-bg.spec b/rpms/cosmic-bg/cosmic-bg.spec
index 5fb33c1..c78ba63 100644
--- a/rpms/cosmic-bg/cosmic-bg.spec
+++ b/rpms/cosmic-bg/cosmic-bg.spec
@@ -14,7 +14,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Background manager for the COSMIC Desktop Environment
 
-License:        CC0-1.0 AND (Unlicense OR MIT) AND BSL-1.0 AND Apache-2.0 AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND MPL-2.0 AND ISC AND (Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND BSD-3-Clause AND (0BSD OR MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND MIT AND (Zlib OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0)
+License:        (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND Apache-2.0 AND BSD-3-Clause AND BSL-1.0 AND CC0-1.0 AND ISC AND MIT AND MPL-2.0
 
 URL:            https://github.com/pop-os/cosmic-bg
 
diff --git a/rpms/cosmic-comp/cosmic-comp.spec b/rpms/cosmic-comp/cosmic-comp.spec
index 087be44..eb346a6 100644
--- a/rpms/cosmic-comp/cosmic-comp.spec
+++ b/rpms/cosmic-comp/cosmic-comp.spec
@@ -14,7 +14,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Compositor for the COSMIC Desktop Environment
 
-License:        (0BSD OR MIT OR Apache-2.0) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND BSL-1.0 AND (MIT OR Zlib OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND BSD-3-Clause AND GPL-3.0-only AND ISC AND (Zlib OR Apache-2.0 OR MIT) AND ((Apache-2.0 OR MIT) AND BSD-3-Clause) AND Zlib AND (Apache-2.0 OR BSD-3-Clause) AND MIT AND (MIT OR Apache-2.0 OR CC0-1.0) AND (Apache-2.0 OR MIT) AND Apache-2.0 AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND MPL-2.0 AND Unicode-3.0 AND BSD-2-Clause AND CC0-1.0 AND (Unlicense OR MIT) AND (BSD-3-Clause OR MIT OR Apache-2.0) AND (MIT OR Apache-2.0)
+License:        ((Apache-2.0 OR MIT) AND BSD-3-Clause) AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSD-3-Clause) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (BSD-3-Clause OR MIT OR Apache-2.0) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0 OR Zlib) AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND BSL-1.0 AND CC0-1.0 AND GPL-3.0-only AND ISC AND MIT AND MPL-2.0 AND Unicode-3.0 AND Zlib
 
 URL:            https://github.com/pop-os/cosmic-comp
 
diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index d3b7eae..7f0f863 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -16,7 +16,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Libcosmic text editor
 
-License:        (0BSD OR MIT OR Apache-2.0) AND MIT AND (MIT OR Apache-2.0 OR CC0-1.0) AND (Zlib OR Apache-2.0 OR MIT) AND ((Apache-2.0 OR MIT) AND BSD-3-Clause) AND MPL-2.0 AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND Zlib AND (CC0-1.0 OR MIT-0 OR Apache-2.0) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND Unicode-3.0 AND (BSD-3-Clause OR MIT OR Apache-2.0) AND (Apache-2.0 OR MIT) AND (Unlicense OR MIT) AND (MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND GPL-2.0-only AND ISC AND Apache-2.0 AND CC0-1.0 AND GPL-3.0-only AND BSL-1.0 AND (MIT OR Apache-2.0 OR Zlib) AND (MIT OR Zlib OR Apache-2.0) AND (Apache-2.0  OR  MIT) AND BSD-2-Clause AND BSD-3-Clause
+License:        ((Apache-2.0 OR MIT) AND BSD-3-Clause) AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (BSD-3-Clause OR MIT OR Apache-2.0) AND (CC0-1.0 OR MIT-0 OR Apache-2.0) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0 OR Zlib) AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND BSL-1.0 AND CC0-1.0 AND GPL-2.0-only AND GPL-3.0-only AND ISC AND MIT AND MPL-2.0 AND Unicode-3.0 AND Zlib
 
 URL:            https://github.com/pop-os/cosmic-edit
 
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index 6736da1..53d3b31 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -17,7 +17,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Libcosmic file manager
 
-License:        MIT AND GPL-3.0-only AND (MIT OR Apache-2.0 OR CC0-1.0) AND (Apache-2.0  OR  MIT) AND BSD-2-Clause AND CC0-1.0 AND (MIT OR Apache-2.0 OR Zlib) AND MPL-2.0 AND Zlib AND (0BSD OR MIT OR Apache-2.0) AND Apache-2.0 AND (CC0-1.0 OR MIT-0 OR Apache-2.0) AND Unicode-3.0 AND (Zlib OR Apache-2.0 OR MIT) AND GPL-2.0-only AND (MIT OR Zlib OR Apache-2.0) AND (MIT OR Apache-2.0) AND (Unlicense OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND BSL-1.0 AND BSD-3-Clause AND (Apache-2.0 OR MIT) AND (Apache-2.0 OR BSL-1.0) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (BSD-3-Clause OR MIT OR Apache-2.0) AND ISC
+License:        (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (BSD-3-Clause OR MIT OR Apache-2.0) AND (CC0-1.0 OR MIT-0 OR Apache-2.0) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0 OR Zlib) AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND BSL-1.0 AND CC0-1.0 AND GPL-2.0-only AND GPL-3.0-only AND ISC AND MIT AND MPL-2.0 AND Unicode-3.0 AND Zlib
 
 URL:            https://github.com/pop-os/cosmic-files
 
diff --git a/rpms/cosmic-greeter/cosmic-greeter.spec b/rpms/cosmic-greeter/cosmic-greeter.spec
index 9bd1414..db75357 100644
--- a/rpms/cosmic-greeter/cosmic-greeter.spec
+++ b/rpms/cosmic-greeter/cosmic-greeter.spec
@@ -15,7 +15,7 @@ Release:        %autorelease
 # Release:        %%autorelease
 Summary:        Login and display manager for the COSMIC Desktop Environment
 
-License:        ISC AND MPL-2.0 AND GPL-3.0-only AND (MIT OR Apache-2.0 OR CC0-1.0) AND BSL-1.0 AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND BSD-3-Clause AND (MIT OR Apache-2.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 OR BSL-1.0) AND BSD-2-Clause AND CC0-1.0 AND CC-PDDC AND MIT AND (Zlib OR Apache-2.0 OR MIT) AND Apache-2.0 AND (MIT OR Apache-2.0 OR Zlib) AND Unicode-3.0 AND (Unlicense OR MIT) AND (MIT OR Zlib OR Apache-2.0) AND Zlib
+License:        (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0 OR Zlib) AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND BSL-1.0 AND CC-PDDC AND CC0-1.0 AND GPL-3.0-only AND ISC AND MIT AND MPL-2.0 AND Unicode-3.0 AND Zlib
 
 URL:            https://github.com/pop-os/cosmic-greeter
 
diff --git a/rpms/cosmic-launcher/cosmic-launcher.spec b/rpms/cosmic-launcher/cosmic-launcher.spec
index 209fb2b..994ffe9 100644
--- a/rpms/cosmic-launcher/cosmic-launcher.spec
+++ b/rpms/cosmic-launcher/cosmic-launcher.spec
@@ -17,7 +17,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Pop launcher frontend for the COSMIC Desktop Environment
 
-License:        Apache-2.0 AND MPL-2.0 AND (Unlicense OR MIT) AND (MIT OR Apache-2.0) AND BSL-1.0 AND (MIT OR Apache-2.0 OR CC0-1.0) AND MIT AND BSD-3-Clause AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Apache-2.0 OR MIT) AND Apache-2.0 WITH LLVM-exception AND (Apache-2.0  OR  MIT) AND BSD-2-Clause AND (MIT OR Apache-2.0 OR Zlib) AND (MIT OR Zlib OR Apache-2.0) AND Unicode-3.0 AND (Zlib OR Apache-2.0 OR MIT) AND CC0-1.0 AND ISC AND (0BSD OR MIT OR Apache-2.0) AND MIT AND (Apache-2.0 OR BSL-1.0) AND Zlib AND BSD-3-Clause
+License:        (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0 OR Zlib) AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND Apache-2.0 AND Apache-2.0 WITH LLVM-exception AND BSD-2-Clause AND BSD-3-Clause AND BSL-1.0 AND CC0-1.0 AND ISC AND MIT AND MIT AND BSD-3-Clause AND MPL-2.0 AND Unicode-3.0 AND Zlib
 
 URL:            https://github.com/pop-os/cosmic-launcher
 
diff --git a/rpms/cosmic-notifications/cosmic-notifications.spec b/rpms/cosmic-notifications/cosmic-notifications.spec
index b0fa8a4..920de0a 100644
--- a/rpms/cosmic-notifications/cosmic-notifications.spec
+++ b/rpms/cosmic-notifications/cosmic-notifications.spec
@@ -14,7 +14,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Notifications daemon for the COSMIC Desktop Environment
 
-License:        (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Apache-2.0 OR BSD-3-Clause) AND Apache-2.0 AND MIT AND BSD-3-Clause AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (0BSD OR MIT OR Apache-2.0) AND BSD-3-Clause AND (Apache-2.0  OR  MIT) AND CC0-1.0 AND MPL-2.0 AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (Apache-2.0 OR MIT) AND Zlib AND MIT AND (MIT OR Apache-2.0 OR Zlib) AND Unicode-3.0 AND ISC AND BSD-2-Clause AND BSL-1.0
+License:        (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSD-3-Clause) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0 OR Zlib) AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND BSL-1.0 AND CC0-1.0 AND ISC AND MIT AND MIT AND BSD-3-Clause AND MPL-2.0 AND Unicode-3.0 AND Zlib
 
 URL:            https://github.com/pop-os/cosmic-notifications
 
diff --git a/rpms/cosmic-osd/cosmic-osd.spec b/rpms/cosmic-osd/cosmic-osd.spec
index 7d5a387..6277366 100644
--- a/rpms/cosmic-osd/cosmic-osd.spec
+++ b/rpms/cosmic-osd/cosmic-osd.spec
@@ -17,7 +17,7 @@ Version: ###
 Release:        %autorelease
 Summary:        OSDs for the COSMIC Desktop Environment
 
-License:        (0BSD OR MIT OR Apache-2.0) AND (MIT OR Apache-2.0 OR Zlib) AND MPL-2.0 AND BSD-3-Clause AND MIT AND ISC AND Unicode-3.0 AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Unlicense OR MIT) AND (MIT OR Apache-2.0) AND Zlib AND (Apache-2.0 OR BSL-1.0) AND BSL-1.0 AND GPL-3.0-or-later AND (MIT OR Zlib OR Apache-2.0) AND (MIT OR Apache-2.0 OR CC0-1.0) AND Apache-2.0 AND CC0-1.0 AND (Zlib OR Apache-2.0 OR MIT) AND BSD-2-Clause AND (Apache-2.0 OR MIT)
+License:        (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0 OR Zlib) AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND BSL-1.0 AND CC0-1.0 AND GPL-3.0-or-later AND ISC AND MIT AND MPL-2.0 AND Unicode-3.0 AND Zlib
 
 URL:            https://github.com/pop-os/cosmic-osd
 
diff --git a/rpms/cosmic-panel/cosmic-panel.spec b/rpms/cosmic-panel/cosmic-panel.spec
index 047f288..fb40899 100644
--- a/rpms/cosmic-panel/cosmic-panel.spec
+++ b/rpms/cosmic-panel/cosmic-panel.spec
@@ -14,7 +14,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Panel for the COSMIC Desktop Environment
 
-License:        BSD-2-Clause AND ISC AND (Unlicense OR MIT) AND Zlib AND BSL-1.0 AND Apache-2.0 AND MIT AND (Zlib OR Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (Apache-2.0 OR BSD-3-Clause) AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND MPL-2.0 AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND BSD-3-Clause AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND CC0-1.0 AND (0BSD OR MIT OR Apache-2.0)
+License:        (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSD-3-Clause) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0 OR Zlib) AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND BSL-1.0 AND CC0-1.0 AND ISC AND MIT AND MPL-2.0 AND Zlib
 
 URL:            https://github.com/pop-os/cosmic-panel
 
diff --git a/rpms/cosmic-randr/cosmic-randr.spec b/rpms/cosmic-randr/cosmic-randr.spec
index 5328bc9..22b679f 100644
--- a/rpms/cosmic-randr/cosmic-randr.spec
+++ b/rpms/cosmic-randr/cosmic-randr.spec
@@ -14,7 +14,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Display configuration command line tool
 
-License:        (MIT OR Apache-2.0) AND MPL-2.0 AND (0BSD OR MIT OR Apache-2.0) AND Zlib AND ISC AND (Apache-2.0 OR MIT) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND GPL-3.0-only AND MIT AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND Apache-2.0
+License:        (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND Apache-2.0 AND GPL-3.0-only AND ISC AND MIT AND MPL-2.0 AND Zlib
 
 URL:            https://github.com/pop-os/cosmic-randr
 
diff --git a/rpms/cosmic-screenshot/cosmic-screenshot.spec b/rpms/cosmic-screenshot/cosmic-screenshot.spec
index e435a4a..103dc35 100644
--- a/rpms/cosmic-screenshot/cosmic-screenshot.spec
+++ b/rpms/cosmic-screenshot/cosmic-screenshot.spec
@@ -17,7 +17,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Screenshot utility for the COSMIC Desktop Environment
 
-License:        BSD-3-Clause AND (MIT OR Apache-2.0) AND (Apache-2.0 OR MIT) AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND MIT AND MPL-2.0
+License:        (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND BSD-3-Clause AND MIT AND MPL-2.0
 
 URL:            https://github.com/pop-os/cosmic-screenshot
 
diff --git a/rpms/cosmic-session/cosmic-session.spec b/rpms/cosmic-session/cosmic-session.spec
index f0a5e88..0d91635 100644
--- a/rpms/cosmic-session/cosmic-session.spec
+++ b/rpms/cosmic-session/cosmic-session.spec
@@ -17,7 +17,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Session manager for the COSMIC desktop environment
 
-License:        (MIT OR Apache-2.0) AND Zlib AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Zlib OR Apache-2.0) AND GPL-3.0-only AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND MIT AND BSD-3-Clause AND (Zlib OR Apache-2.0 OR MIT) AND (Apache-2.0 OR MIT) AND (Unlicense OR MIT) AND Apache-2.0 AND (Apache-2.0 OR BSD-3-Clause) AND MPL-2.0
+License:        (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSD-3-Clause) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND Apache-2.0 AND BSD-3-Clause AND GPL-3.0-only AND MIT AND MPL-2.0 AND Zlib
 
 URL:            https://github.com/pop-os/cosmic-session
 
diff --git a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
index 4783c98..bd8ed01 100644
--- a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
+++ b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
@@ -17,7 +17,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Settings daemon for the COSMIC Desktop Environment
 
-License:        Zlib AND (Unlicense OR MIT) AND GPL-3.0-or-later AND MPL-2.0 AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND BSD-3-Clause AND BSD-2-Clause AND ISC AND BSL-1.0 AND (MIT OR Zlib OR Apache-2.0) AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND CC0-1.0 AND (Zlib OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND MIT AND Apache-2.0
+License:        (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0 OR Zlib) AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND BSL-1.0 AND CC0-1.0 AND GPL-3.0-or-later AND ISC AND MIT AND MPL-2.0 AND Zlib
 
 URL:            https://github.com/pop-os/cosmic-settings-daemon
 
diff --git a/rpms/cosmic-settings/cosmic-settings.spec b/rpms/cosmic-settings/cosmic-settings.spec
index 5100450..92805be 100644
--- a/rpms/cosmic-settings/cosmic-settings.spec
+++ b/rpms/cosmic-settings/cosmic-settings.spec
@@ -16,7 +16,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Settings app for the COSMIC Desktop Environment
 
-License:        (MIT OR Apache-2.0 OR CC0-1.0) AND (Unlicense OR MIT) AND BSD-3-Clause AND (MIT OR Apache-2.0 OR Zlib) AND (Apache-2.0 OR MIT) AND (MIT OR Apache-2.0) AND (CC0-1.0 OR Apache-2.0) AND Apache-2.0 WITH LLVM-exception AND (Apache-2.0  OR  MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND ISC AND MPL-2.0 AND GPL-3.0-only AND (MIT OR Zlib OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND Unicode-3.0 AND (0BSD OR MIT OR Apache-2.0) AND BSD-2-Clause AND Apache-2.0 AND CC0-1.0 AND (MIT OR Apache-2.0 OR NCSA) AND Unlicense AND MIT AND BSL-1.0 AND Zlib AND (Zlib OR Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT)
+License:        (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (CC0-1.0 OR Apache-2.0) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0 OR NCSA) AND (MIT OR Apache-2.0 OR Zlib) AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND Apache-2.0 AND Apache-2.0 WITH LLVM-exception AND BSD-2-Clause AND BSD-3-Clause AND BSL-1.0 AND CC0-1.0 AND GPL-3.0-only AND ISC AND MIT AND MPL-2.0 AND Unicode-3.0 AND Unlicense AND Zlib
 
 URL:            https://github.com/pop-os/cosmic-settings
 
diff --git a/rpms/cosmic-store/cosmic-store.spec b/rpms/cosmic-store/cosmic-store.spec
index 87fcf21..417148d 100644
--- a/rpms/cosmic-store/cosmic-store.spec
+++ b/rpms/cosmic-store/cosmic-store.spec
@@ -14,7 +14,7 @@ Version: ###
 Release:        %autorelease
 Summary:        App store for the COSMIC Desktop Environment
 
-License:        (MIT OR Apache-2.0 OR CC0-1.0) AND (Apache-2.0 OR MIT) AND BSD-2-Clause AND BSD-3-Clause AND CC0-1.0 AND (Apache-2.0  OR  MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT) AND Zlib AND BSL-1.0 AND (Apache-2.0 OR BSL-1.0) AND MPL-2.0 AND (Zlib OR Apache-2.0 OR MIT) AND Apache-2.0 AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND ISC AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND ((Apache-2.0 OR MIT) AND BSD-3-Clause) AND (Apache-2.0 OR ISC OR MIT) AND (0BSD OR MIT OR Apache-2.0) AND (BSD-3-Clause OR MIT OR Apache-2.0) AND MIT AND Unicode-3.0
+License:        ((Apache-2.0 OR MIT) AND BSD-3-Clause) AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR ISC OR MIT) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (BSD-3-Clause OR MIT OR Apache-2.0) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0 OR Zlib) AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND BSL-1.0 AND CC0-1.0 AND ISC AND MIT AND MPL-2.0 AND Unicode-3.0 AND Zlib
 
 URL:            https://github.com/pop-os/cosmic-store
 
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index 3114709..c82f2e2 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -16,7 +16,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Terminal emulator built with alacritty and Libcosmic
 
-License:        CC0-1.0 AND (Unlicense OR MIT) AND MIT AND (Apache-2.0  OR  MIT) AND (CC0-1.0 OR MIT-0 OR Apache-2.0) AND GPL-2.0-only AND MPL-2.0 AND Zlib AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR MIT) AND (MIT OR Apache-2.0) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (Zlib OR Apache-2.0 OR MIT) AND (MIT OR Zlib OR Apache-2.0) AND BSD-2-Clause AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND BSL-1.0 AND ISC AND (MIT OR Apache-2.0 OR Zlib) AND Unicode-3.0 AND (BSD-3-Clause OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND BSD-3-Clause AND GPL-3.0-only AND Apache-2.0
+License:        (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (BSD-3-Clause OR MIT OR Apache-2.0) AND (CC0-1.0 OR MIT-0 OR Apache-2.0) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0 OR Zlib) AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND BSL-1.0 AND CC0-1.0 AND GPL-2.0-only AND GPL-3.0-only AND ISC AND MIT AND MPL-2.0 AND Unicode-3.0 AND Zlib
 
 URL:            https://github.com/pop-os/cosmic-term
 
diff --git a/rpms/cosmic-workspaces/cosmic-workspaces.spec b/rpms/cosmic-workspaces/cosmic-workspaces.spec
index 9daee7c..41d3639 100644
--- a/rpms/cosmic-workspaces/cosmic-workspaces.spec
+++ b/rpms/cosmic-workspaces/cosmic-workspaces.spec
@@ -17,7 +17,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Workspaces overview for the COSMIC Desktop Environment
 
-License:        CC0-1.0 AND (MIT OR Zlib OR Apache-2.0) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Unlicense OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND MPL-2.0 AND Unicode-3.0 AND MIT AND (Zlib OR Apache-2.0 OR MIT) AND BSD-2-Clause AND (MIT OR Apache-2.0 OR CC0-1.0) AND ISC AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND BSD-3-Clause AND BSL-1.0 AND (MIT OR Apache-2.0) AND Apache-2.0 AND (0BSD OR MIT OR Apache-2.0) AND Zlib
+License:        (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0 OR Zlib) AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND BSL-1.0 AND CC0-1.0 AND ISC AND MIT AND MPL-2.0 AND Unicode-3.0 AND Zlib
 
 URL:            https://github.com/pop-os/cosmic-workspaces-epoch
 
diff --git a/rpms/pop-launcher/pop-launcher.spec b/rpms/pop-launcher/pop-launcher.spec
index f5ef4bb..c9dfda8 100644
--- a/rpms/pop-launcher/pop-launcher.spec
+++ b/rpms/pop-launcher/pop-launcher.spec
@@ -14,7 +14,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Modular IPC-based desktop launcher service
 
-License:        Apache-2.0 WITH LLVM-exception AND (Unlicense OR MIT) AND MIT AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0) AND (MIT OR Apache-2.0 OR Zlib) AND (Apache-2.0  OR  MIT) AND (MIT OR Zlib OR Apache-2.0) AND GPL-3.0-only AND (0BSD OR MIT OR Apache-2.0) AND Apache-2.0 AND BSD-3-Clause AND ISC AND MPL-2.0 AND Zlib AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR ISC OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND (Apache-2.0 OR MIT)
+License:        (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR ISC OR MIT) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND Apache-2.0 AND Apache-2.0 WITH LLVM-exception AND BSD-3-Clause AND GPL-3.0-only AND ISC AND MIT AND MPL-2.0 AND Zlib
 
 URL:            https://github.com/pop-os/launcher
 
diff --git a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
index 65da68f..60a1443 100644
--- a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
+++ b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
@@ -17,7 +17,7 @@ Version: ###
 Release:        %autorelease
 Summary:        XDG Desktop Portals for the COSMIC Desktop Environment
 
-License:        (CC0-1.0 OR Apache-2.0) AND Apache-2.0 AND MIT AND Zlib AND MPL-2.0 AND (Apache-2.0  OR  MIT) AND BSD-3-Clause AND GPL-3.0-only AND GPL-2.0-only AND Apache-2.0 WITH LLVM-exception AND (MIT OR Apache-2.0 OR NCSA) AND (Apache-2.0 OR MIT) AND ISC AND Unicode-3.0 AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (Apache-2.0 OR BSL-1.0) AND BSL-1.0 AND BSD-2-Clause AND (MIT OR Zlib OR Apache-2.0) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND CC0-1.0 AND (MIT OR Apache-2.0 OR CC0-1.0) AND GPL-3.0-or-later AND (MIT OR Apache-2.0 OR Zlib) AND (CC0-1.0 OR MIT-0 OR Apache-2.0) AND (Unlicense OR MIT) AND (0BSD OR MIT OR Apache-2.0) AND (Zlib OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0)
+License:        (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (CC0-1.0 OR Apache-2.0) AND (CC0-1.0 OR MIT-0 OR Apache-2.0) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0 OR NCSA) AND (MIT OR Apache-2.0 OR Zlib) AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND Apache-2.0 AND Apache-2.0 WITH LLVM-exception AND BSD-2-Clause AND BSD-3-Clause AND BSL-1.0 AND CC0-1.0 AND GPL-2.0-only AND GPL-3.0-only AND GPL-3.0-or-later AND ISC AND MIT AND MPL-2.0 AND Unicode-3.0 AND Zlib
 
 URL:            https://github.com/pop-os/xdg-desktop-portal-cosmic
 

